---
lang: en
title: 'API docs: rest.textbodyparser.supports'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.textbodyparser.supports.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [TextBodyParser](./rest.textbodyparser.md) &gt; [supports](./rest.textbodyparser.supports.md)

## TextBodyParser.supports() method

<b>Signature:</b>

```typescript
supports(mediaType: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  mediaType | <code>string</code> |  |

<b>Returns:</b>

`boolean`


